#1526 closed defect (fixed)

4.10 head has warnings we consider as errors.

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: highest Milestone: 4.11
Component: score Version: 4.10
Severity: blocker Keywords:
Cc: joel.sherrill@…, ralf.corsepius@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

The build bot has been updated to report the following warnings as errors:

'cast to pointer from integer of different size',
'left shift count >= width of type',
'right shift count >= width of type',
'overflow in implicit constant conversion',
'large integer implicitly truncated to unsigned type',
'integer overflow in expression',
'implicit declaration of function',
'nested extern declaration of'

The following architectures fail:

AVR
H8300
LM32
M32C
M68K
MIPS
POWERPC

Change History (9)

comment:1 Changed on May 22, 2010 at 12:38:31 PM by Joel Sherrill

Cc: joel.sherrill@… ralf.corsepius@… added

comment:2 Changed on Jun 16, 2010 at 6:13:10 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:3 Changed on Jun 17, 2010 at 2:19:59 AM by Ralf Corsepius

Resolution: fixed
Status: closedreopened

comment:4 Changed on Jun 17, 2010 at 3:28:18 AM by Chris Johns

The URL is http://www.rtems.org/ftp/pub/rtems/people/chrisj/pq/html/. Open the RTEMS home page then in the Development box on the right handside is a link.

The 64bit warnings may explain it. I do not think 64bit is being built yet by the builder. Once the tools are installed on the build machine it should start to look for the 64bit BSP. Hmmm, I think I may need to move the builder on to 4.11. That could also be a reason.

I did not think we could change APIs on a branch. Can we ?

Fixing bugs is important and I agree. The issue is this PR is marked blocker so 4.10 is blocked until it is fixed. If you are finding issues on 4.10 that is fine how-ever these seem to be related to 4.11 work, ie 64bit. If 4.10 is not showing any regression then we should close this and keep moving. If your 4.11 work exposes important issues for 4.10 we should apply them if suitable. I suppose it comes down to how much more work you think you have to be comfortable. Any idea ?

comment:5 Changed on Nov 21, 2014 at 2:09:22 PM by Joel Sherrill

Description: modified (diff)

We have done a lot of work on warnings on the head. I don't see backporting all the changes. Can we move the milestone to 4.11?

comment:6 Changed on Nov 21, 2014 at 2:45:56 PM by Joel Sherrill

Milestone: 4.104.11
Version: 4.104.11

After some thought, I am moving the milestone. Over the past couple of months, ~1800 warnings have been eliminated.

comment:7 Changed on Nov 23, 2014 at 4:34:54 PM by Joel Sherrill

Version: 4.114.10

comment:8 Changed on Mar 3, 2015 at 5:38:08 PM by Gedare Bloom

Description: modified (diff)
Milestone: 4.114.10.3
Resolution: fixed
Status: reopenedclosed

We can open a new ticket if these warnings are still present, but with the warning fixes in and no comment from the OP, I am closing.

comment:9 Changed on Mar 3, 2015 at 5:38:26 PM by Gedare Bloom

Milestone: 4.10.34.11

Fix accidental bump to milestone...

Note: See TracTickets for help on using tickets.